Subject: Ticket Assigned - need escalation
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 28 Nov 2021 08:50:54 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  need escalation sarah walls                    Bot:  Hi, welcome! Bot:  Please enter your name Customer:  sarah walls Bot:  Hi Sarah Walls ,what do you need help with? Customer:  When will I get my refund? Bot:  Please choose your location Customer:  Bahrain Bot:     Did you return your order? We will issue your refund after we receive your returns and perform a quality check. Your refund will depend on your payment method.   Paid by card - card issuer may take an additional 2-15 business days to process the transaction.  Paid by PayPal - may take an additional 4-15 business days to process the transaction.  Paid by cash - you'll receive a refund to My Credit in your account if you're a registered user, or a Return Voucher if you're a guest user in 4-7 business days.    Canceled your order? Your refund will depend on your payment method.   Paid by card - card issuer may take an additional 2-15 business days to process the transaction.  Paid by PayPal - may take an additional 4-15 business days to process the transaction.   For more details, go to Returns Process and Returns Policy under Help Centre.  Bot:  Was I able to resolve your query? Customer:  No Bot:  Would you like to still talk to one of our agent? Customer:  Yes Bot:  Please enter your email Customer:  [email-masked] Bot:  Please enter your number Customer:  0097336695253            12:36 PM, 28th Nov                   mayar                   Hi Sarah ,Good afternoon Thank you for contacting us. My name is Mayar ,i will be happy to help you.           12:37 PM, 28th Nov                     sarah walls                    Good day. I am very very disappointed and now angry. I have waited patiently for over 2 weeks and STILL, there if no refund in my Centrepoint account. I paid cash on delivery. This is the reference number [#3358605]           12:38 PM, 28th Nov                     sarah walls                    First, they sent the wrong order, THEN they told me they would REFUND me the money immediately and that was 16 days ago!!!!!!           12:39 PM, 28th Nov                     sarah walls                    It is so disappointing that the customer services in Bahrain is so bad. Everytime I have a refund I have to chase everything up at least 5 times before anybody does anything.           12:39 PM, 28th Nov                     sarah walls                    Kindly solve this query now. I am beyond impatient with this matter.           12:40 PM, 28th Nov                     sarah walls                    I don't have my mobile with me today at work so need to talk to you on this chat           12:40 PM, 28th Nov                     sarah walls                    Can you please reply to me!?           12:40 PM, 28th Nov                     sarah walls                    Thanks           12:40 PM, 28th Nov                     sarah walls                    I am STILL waiting for a refund over 2 weeks later!!!! I paid in cash therefore will the credit be put as credit for the Landmark group shops or will I receive cash.   I was told it will take no longer than 10-14 days for a refund but still nothing.  Kindly advise urgently because I need that money.           12:42 PM, 28th Nov                   mayar                   We sincerely apologize for any inconvenience caused,           12:43 PM, 28th Nov                   mayar                   Could you please share your order number so that I can assist you further?           12:43 PM, 28th Nov                   mayar                   Please allow me a moment to check this for you.           12:47 PM, 28th Nov                   mayar                   Please be assured as we have now escalated this issue to our concerned team and they are closely working on this to fix it for you.             12:47 PM, 28th Nov                   mayar                   We request you to please allow us some time so we can work on this and do the needful.           12:47 PM, 28th Nov                   mayar                   Is there anything else i can help you with           12:47 PM, 28th Nov                   mayar                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           12:50 PM, 28th Nov                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3479213